{{ define "additional-head" }}
<link
  rel="stylesheet"
  href='{{ (resources.Get "scss/pages/home/_index.scss" | resources.ExecuteAsTemplate "css/home.css" . | toCSS | minify).RelPermalink }}'
/>
{{ end }} {{ define "main" }} {{- partial "header.html" . }}
<div id="spotlight-home" class="animated fadeIn">
  <div id="home-center">
    <div id="thumbnail">
      <img
        src='{{ (resources.Get "images/_profile_transparent.png").RelPermalink }}'
        alt=""
      />
      <div class="color-overlay"></div>
    </div>
    <h1>{{ .Site.Title }}</h1>
    <p>{{ .Site.Params.homeSubtitle }}</p>
    <div style="opacity: 0; height: 0px">
      {{ range .Site.Params.social }}
      <a href="{{ .url | safeURL }}" target="_blank" rel="noopener me">
        <span> {{ partial "svg.html" .name }} </span>
        {{ .name | humanize }}
      </a>
      {{ end }}
    </div>
  </div>

  <script
    async
    src='{{ (resources.Get "js/pages/home.js" | resources.Minify).RelPermalink }}'
  ></script>
</div>

<main id="site-main-home" class="site-main section-inner">
  <div class="content">
    <p>
      Welcome to <a href="//ant.lgbt">ant.lgbt</a> this is my website where I
      post random <s>mostly stupid</s> stuff while pretending to be
      professional... Anyways, thank you for visiting, and enjoy your stay on
      this little island in the depths of the global Internet :D
    </p>

    <div id="about-selfie">
      <div>
        <img src='{{ (resources.Get "images/me.jpg").RelPermalink }}' />
      </div>
      <div>
        <p>
          Hey there, my name is Yanik Ammann, also known ConfusedAnt (yes, I'm
          very confused basically all of the time), or 1Yanik3 (although I'm
          barely using that name anymore).
        </p>

        <p>
          I'm a very gay nerd and got some experience with coding
          <a href="/posts/dev/">all kinds of stuff</a>. I love coding
          <a href="/categories/web/">webapps</a> with JavaScript (or even
          better, TypeScript), or basically anything else even just remotely
          JavaScript (or even better, Typescript) related. Currently I'm working
          at Siemens as an Application Developer, after having finished my
          apprenticeship there in the summer of 2023. And work as
          <i>Techlead Backend</i> at
          <a href="https://anomaly-science.com/">Anomaly Science</a> next to
          that.
        </p>

        <p>
          I'm fluent in both English and German (and Swiss German), therefore,
          some of the posts on this site are written in German. Those German
          posts are marked with <a href="/categories/german/">this category</a>.
        </p>
      </div>
    </div>

    {{/*
    <div style="clear: both"></div>
    */}}
    <p>
      I hope you enjoy your visit on my site. No matter how long you plan on
      staying here, have a nice day and a big hug :)
    </p>

    {{ partial "section.html" "Experience and Education" }}

    <div class="about-timeline">
      <div>
        <b>
          {{ partial "svg.html" "school" }} Bachelor in Software Engineering and
          DevOps
        </b>
        <span>
          Sept 2024 to now at
          <a href="https://www.hslu.ch/" target="_blank">HSLU</a>
        </span>
      </div>
      <div>
        <b> {{ partial "svg.html" "work" }} Application Developer </b>
        <span>
          April 2024 to now at
          <a href="https://www.siemens.com/ch" target="_blank"
            >Siemens Schweiz AG</a
          >
        </span>
      </div>
      <div>
        <b> {{ partial "svg.html" "work" }} Application Developer </b>
        <span>
          Aug 2023 to Dez 2023 at
          <a href="https://www.siemens.com/ch" target="_blank"
            >Siemens Schweiz AG</a
          >
        </span>
      </div>
      <div>
        <b> {{ partial "svg.html" "work" }} Techlead Backend (Part time) </b>
        <span
          >Part time in 2022 at
          <a href="https://anomsci.com/" target="_blank">Anomaly Science</a>
        </span>
      </div>
      <div>
        <b>
          {{ partial "svg.html" "school" }} Apprenticeship (Application
          Development)
        </b>
        <span
          >Aug 2019 to Aug 2023 at
          <a href="https://www.siemens.com/ch" target="_blank"
            >Siemens Schweiz AG</a
          ></span
        >
      </div>
      <div>
        <b>
          {{ partial "svg.html" "school" }} Vocational Baccalaureate
          (Berufsmatura)
        </b>
        <span
          >Aug 2019 to Aug 2023 at
          <a href="https://www.gibz.ch/" target="_blank">GIBZ</a></span
        >
      </div>
      <div>
        <b> {{ partial "svg.html" "work" }} Web Developer (Part time) </b>
        <span>Oct 2018 - Aug 2019 at Peikert Immobilien</span>
      </div>
    </div>

    {{ partial "section.html" "Interests / Skills" }}

    <div id="about-focuses">
      <div>
        <b>Primary Focuses</b>
        <ul>
          <li>
            <div>
              JavaScript/TypeScript {{ partial "svg.html" "work" }} {{ partial
              "svg.html" "school" }} {{ partial "svg.html" "brick" }}
            </div>
          </li>
          <li><div>Python {{ partial "svg.html" "work" }}</div></li>
          <li>
            <div>Svelte + SvelteKit {{ partial "svg.html" "brick" }}</div>
          </li>
          <li>
            <div>
              Docker {{ partial "svg.html" "work" }} {{ partial "svg.html"
              "brick" }}
            </div>
          </li>
          <li>
            <div>
              NodeJS + Deno + Bun {{ partial "svg.html" "work" }} {{ partial
              "svg.html" "brick" }}
            </div>
          </li>
          <li>
            <div>
              HTML + CSS/SCSS {{ partial "svg.html" "work" }} {{ partial
              "svg.html" "school" }} {{ partial "svg.html" "brick" }}
            </div>
          </li>
          <li>
            <div>
              Gitlab (incl. CI/CD) {{ partial "svg.html" "work" }} {{ partial
              "svg.html" "brick" }}
            </div>
          </li>
        </ul>
      </div>

      <div>
        <b>Good Knowledge</b>
        <ul>
          <li><div>Linux {{ partial "svg.html" "brick" }}</div></li>
          <li><div>Java {{ partial "svg.html" "school" }}</div></li>
          <li>
            <div>
              SQL {{ partial "svg.html" "work" }} {{ partial "svg.html" "school"
              }} {{ partial "svg.html" "brick" }}
            </div>
          </li>
          <li><div>Angular {{ partial "svg.html" "work" }}</div></li>
        </ul>
      </div>

      <div>
        <b>Basic Knowledge</b>
        <ul>
          <li><div>C# {{ partial "svg.html" "school" }}</div></li>
          <li><div>PHP {{ partial "svg.html" "school" }}</div></li>
          <li><div>Go {{ partial "svg.html" "brick" }}</div></li>
          <li><div>Rust {{ partial "svg.html" "brick" }}</div></li>
        </ul>
      </div>
    </div>

    <p style="filter: opacity(0.8); font-size: 0.9em">
      Disclaimer: This is not a 100% complete list of all skills I have, instead
      it's a list of the kind of things I have/am worked with regularly and feel
      comfortable promoting myself with (I learn quickly though, so I'm able to
      expand this list quickly if need be).
    </p>

    <hr />

    <!-- <p>For coding, I mainly specialize in JavaScript/TypeScript development, as that's what seems to be the most fun to me. This means, that I often enjoy working on both on the front- and the backend of a given application (which I guess makes me a full stack developer?).</p> -->

    <p>
      In case you were wondering, my favorite way to write Web-Applications is
      through <a href="https://svelte.dev/">Svelte</a>, but I don't mind to work
      with almost any kind of framework.
    </p>

    <p>
      I usually use <a href="https://code.visualstudio.com/">VS-Code</a> with a
      bunch of extensions as my IDE, because it works well for me and does
      anything I would want it to do.
    </p>

    <p>
      I spend a lot of my free time (which is a quite rare thing recently) by
      playing games like <a href="https://rimworldgame.com/">Rimworld</a> or
      <a href="https://www.stellaris.com/en">Stellaris</a>. When already on the
      topic of gaming, I might as well mention, that I often spend quite a lot
      of time in VR (usually either in BeatSaber or a game like
      <a href="https://www.half-life.com/en/alyx">Half-Life Alyx</a>).
    </p>

    <p>
      Furthermore, I have a keen interest in Photography. Now I certainly don't
      do anything even close to even trying to be professional, but it's still a
      bunch of fun.
    </p>

    <!-- TODO: Project overview -->

    {{ partial "section.html" "Favorite Animal" }}

    <div class="grid-2">
      <img src="/img/capy.svg" alt="" />

      <div class="flex vertical">
        <blockquote>
          A capybara is a large South American rodent living on the margins of
          lakes and rivers. It is about a meter long, and half a meter in tall.
          It somewhat resembles the Guinea pig, to which it is related.
        </blockquote>

        <p>
          My favorite animal, by far, is the Capybara. It's majestic and super
          cute. A lot of that cuteness comes from it seeming to be in constant
          bliss, which originates from it having no really dangerous predators
          in it's home region.
        </p>

        <p>(Dogs and cats are great too, but they are not capybaras 👉🏻 👈🏻)</p>

        <div class="spacer"></div>

        <span style="filter: opacity(0.5)">
          Disclaimer: I own the copyright to the logo on the left, DO NOT use
          without my explicit permission
        </span>
      </div>
    </div>

    {{ partial "section.html" }}

    <p>
      All of my projects are free to use and modify, so feel free to fork them
      or something. If you want to republish them, add a link to my website
      and/or my GitLab or email, and, if possible, inform me, I'd love to find
      out what you plan on doing with it. If you have any questions or feedback,
      send me an email to
      <a href="mailto:confused@ant.lgbt">confused@ant.lgbt</a> or contact me on
      Discord. If no license is specified, you can generally assume that it's
      GPL3.
    </p>
  </div>
</main>
{{ end }}
